summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGilles Dartiguelongue <eva@gentoo.org>2018-12-28 23:32:58 +0100
committerGilles Dartiguelongue <eva@gentoo.org>2018-12-29 00:57:53 +0100
commit110827777db3db80cab647a068d4605e820adc0d (patch)
tree2604671c18a33eed43f01880cb52d1f45e1cca10 /x11-themes
parentx11-themes/gnome-backgrounds: 3.26.2 → 3.30.0 (diff)
downloadgentoo-110827777db3db80cab647a068d4605e820adc0d.tar.gz
gentoo-110827777db3db80cab647a068d4605e820adc0d.tar.bz2
gentoo-110827777db3db80cab647a068d4605e820adc0d.zip
x11-themes/gtk-engines-adwaita: 3.22.3 → 3.28
Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Gilles Dartiguelongue <eva@gentoo.org>
Diffstat (limited to 'x11-themes')
-rw-r--r--x11-themes/gtk-engines-adwaita/Manifest1
-rw-r--r--x11-themes/gtk-engines-adwaita/gtk-engines-adwaita-3.28.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/x11-themes/gtk-engines-adwaita/Manifest b/x11-themes/gtk-engines-adwaita/Manifest
index 125b0fdcfb5..4be6f2c8af6 100644
--- a/x11-themes/gtk-engines-adwaita/Manifest
+++ b/x11-themes/gtk-engines-adwaita/Manifest
@@ -1 +1,2 @@
+DIST gnome-themes-extra-3.28.tar.xz 2953272 BLAKE2B 122ff5f1d95086c5cad6818efa79763ab574b7d6792b846198ac7ed5b521747d4357025ebd0ac6b5ea1161bf1dd3482ac2e867822bf863928b05a8486172ba0d SHA512 bccc446e86b12476b86a0fe2e3354500c8fb3eef62a85c3823d69aaa259e032e1f94e7993bf633397b669c425ef42635b0cf17b376f0b7cf1869bb1d7160ede0
DIST gnome-themes-standard-3.22.3.tar.xz 2904736 BLAKE2B bc1dad2f6ce913a40bd532064f590c38e7c3db05a1e0564bbde8bf5d0349ca96a8e0d7e7683a5bd1b22ce404f7f6dc1efeb3a02a9177186c6e6686045451ddf0 SHA512 aa2f3ad4d867732cd09df6adb4f48ed2757e3f28930ef791ba97a82007332c810d84dd1074ca518ec0fe71bd7d8b95404854bd799e3b1fe616e1809e8ee33501
diff --git a/x11-themes/gtk-engines-adwaita/gtk-engines-adwaita-3.28.ebuild b/x11-themes/gtk-engines-adwaita/gtk-engines-adwaita-3.28.ebuild
new file mode 100644
index 00000000000..c460ee8d867
--- /dev/null
+++ b/x11-themes/gtk-engines-adwaita/gtk-engines-adwaita-3.28.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+GNOME_ORG_MODULE="gnome-themes-extra"
+
+inherit gnome.org multilib-minimal
+
+DESCRIPTION="Adwaita GTK+2 theme engine"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/gnome-themes-extra/"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE=""
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
+
+COMMON_DEPEND="
+ >=x11-libs/gtk+-2.24.15:2[${MULTILIB_USEDEP}]
+"
+RDEPEND="${COMMON_DEPEND}
+ !<x11-themes/gnome-themes-standard-3.20.2-r1
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-util/intltool-0.40
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" econf \
+ --disable-static \
+ --enable-gtk2-engine \
+ --disable-gtk3-engine \
+ GTK_UPDATE_ICON_CACHE=$(type -P true)
+}
+
+multilib_src_compile() {
+ emake -C themes/Adwaita/gtk-2.0 libadwaita.la
+}
+
+multilib_src_install() {
+ emake -C themes/Adwaita/gtk-2.0 DESTDIR="${D}" install-engineLTLIBRARIES
+ find "${D}" -name '*.la' -delete || die
+}